# KJSEmbed::JSOpaqueProxy Class Reference

Provides a binding to an opaque pointer value. More...

`#include <jsopaqueproxy.h>`

Inheritance diagram for KJSEmbed::JSOpaqueProxy:

List of all members.

## Public Member Functions

| JSOpaqueProxy ()
| JSOpaqueProxy (void *ptr, const char *ptrtype)
| JSOpaqueProxy (QTextStream *ts)
| JSOpaqueProxy (const QEvent *ev)
virtual | ~JSOpaqueProxy ()
QString | typeName () const
void | setValue (void *ptr, const char *ptrtype)
void | setValue (QTextStream *ts)
void | setValue (const QEvent *ev)
void * | toVoidStar ()
bool | inherits (const char *clazz)
QTextStream * | toTextStream ()
const QEvent * | toEvent ()
virtual void | addBindings (KJS::ExecState *state, KJS::Object &object)
virtual KJS::UString | toString (KJS::ExecState *exec) const

## Detailed Description

Provides a binding to an opaque pointer value.

This class stores a pointer without interpreting its type, it also stores the name of the type allowing it to retain type-safety.

Author:
  Richard Moore, rich@kde.org

## Constructor & Destructor Documentation

KJSEmbed::JSOpaqueProxy::JSOpaqueProxy | ( |  | ) |

| Creates an opaque proxy.

KJSEmbed::JSOpaqueProxy::JSOpaqueProxy | ( | void * | ptr,
|  | const char * | ptrtype
| ) |

| Creates an opaque proxy.

KJSEmbed::JSOpaqueProxy::JSOpaqueProxy | ( | QTextStream * | ts | ) |

| Creates an opaque proxy.

KJSEmbed::JSOpaqueProxy::JSOpaqueProxy | ( | const QEvent * | ev | ) |

| Creates an opaque proxy.

virtual KJSEmbed::JSOpaqueProxy::~JSOpaqueProxy | ( |  | ) | `[virtual]`

| Cleans up.

## Member Function Documentation

virtual void KJSEmbed::JSOpaqueProxy::addBindings | ( | KJS::ExecState * | state,
|  | KJS::Object & | object
| ) | `[virtual]`

| Adds the bindings for the opaque proxy to the specified js object.

bool KJSEmbed::JSOpaqueProxy::inherits | ( | const char * | clazz | ) |

| Returns true iff the content of this proxy inherits the specified base-class. Reimplemented from KJSEmbed::JSProxy.

void KJSEmbed::JSOpaqueProxy::setValue | ( | const QEvent * | ev | ) |

| Sets the value of the proxy to a QEvent.

void KJSEmbed::JSOpaqueProxy::setValue | ( | QTextStream * | ts | ) |

| Sets the value of the proxy to a QTextStream.

void KJSEmbed::JSOpaqueProxy::setValue | ( | void * | ptr,
|  | const char * | ptrtype
| ) |

| Sets the value of the proxy and its type.

const QEvent* KJSEmbed::JSOpaqueProxy::toEvent | ( |  | ) |

virtual KJS::UString KJSEmbed::JSOpaqueProxy::toString | ( | KJS::ExecState * | exec | ) | const`[virtual]`

| Reimplemented to return the name and class of the target.

QTextStream* KJSEmbed::JSOpaqueProxy::toTextStream | ( |  | ) |

| Returns the QTextStream stored in the proxy. If proxy does not contain a value of type QTextStream then 0 is returned.

void* KJSEmbed::JSOpaqueProxy::toVoidStar | ( |  | ) | `[inline]`

| Returns the proxy value as a void pointer. Reimplemented from KJSEmbed::JSProxy.

QString KJSEmbed::JSOpaqueProxy::typeName | ( |  | ) | const

| Returns the type of the wrapped object.

The documentation for this class was generated from the following file:

- jsopaqueproxy.h